IT Requirements to Use Officevibe

Thinking of launching Officevibe? You may want to validate with your IT team that Officevibe is compatible with your company's systems. Below are some things to verify before launching Officevibe.

 

Officevibe Emails

As Officevibe will primarily use email as a method of contact with your employees, you need to ensure that Officevibe emails are recognized as secure in order not to be labelled as spam or blocked.

First, make sure to add the following IP to your email provider: 198.2.134.77

Add senders to your email provider whitelist - Officevibe may send emails from the following addresses :

Also, please confirm whether you have an Anti-Phishing software activated for your organization as this could also affect the access links provided in the Officevibe emails. 

 

Supported Browsers & Technology

IE10 and older versions of the browser are not supported as they don't have TLS 1.2 enabled by default.

Note that Officevibe uses cookies and they need to be enabled in your internet browser.

These are the browsers we officially support:

  • Internet Explorer 11 (Not accessible with Windows 7, only via Windows 10)

  • Microsoft Edge (Latest)

  • Chrome (Latest)

  • Firefox (Latest)

  • Safari (Latest)

Note: Officevibe is accessible from any device. No login required but you can access the platform via app.officevibe.com/login.

Still, having trouble? Try to reset your password here. Remember that your username is your email address.

Share

Was this article helpful?

0 out of 0 found this helpful

Have more questions? Submit a request